com.corticon.eclipse.studio.importwizards.core

## Interface IImportAPI

- All Superinterfaces:
    IDialogAPI

      public interface IImportAPI
      extends IDialogAPI

  The import API provides a standardized interface to allow client programs to import legacy Corticon assets.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getErrorMessages()` Return error messages in the order they occurred
    `java.util.List` | `getInfoMessages()` Return info messages in the order they occurred
    `int` | `getNumberOfCCJsFailed()` Get number of CCJs that failed during migration
    `int` | `getNumberOfCCJsProcessed()` Get number of CCJs that processed during migration
    `int` | `getNumberOfCTJsFailed()` Get number of CTJs that failed during migration
    `int` | `getNumberOfCTJsProcessed()` Get number of CTJs that processed during migration
    `int` | `getNumberOfCVJsFailed()` Get number of CVJs that failed during migration
    `int` | `getNumberOfCVJsProcessed()` Get number of CVJs that processed during migration
    `java.util.List` | `getWarningMessages()` Return warning messages in the order they occurred
    `boolean` | `importDirectory(org.eclipse.emf.common.util.URI aInputDir, org.eclipse.emf.common.util.URI aOutputDir)` Import all assets in the directory.
    `boolean` | `importDirectory(org.eclipse.emf.common.util.URI aInputDir, org.eclipse.emf.common.util.URI aOutputDir, java.lang.String astrLocale)` Deprecated.
    `java.lang.String` | `toString()` Return textual information on migration process, including assets that succeeded, and failed.

    - ### Methods inherited from interface com.corticon.eclipse.core.IDialogAPI

      `displayMessageBox, getIExceptionDialogDelegate, getLocale, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getPreferences, getScrollableMessageDelegate, getUserInterfaceInfoDelegate, setIExceptionDialogDelegate, setLocale, setMessageBoxDelegate, setPreferencesDelegate, setScrollableMessageDelegate, setUserInterfaceInfoDelegate`

- - ### Method Detail

    - #### importDirectory

          boolean importDirectory(org.eclipse.emf.common.util.URI aInputDir,
                                org.eclipse.emf.common.util.URI aOutputDir,
                                java.lang.String astrLocale)

      Deprecated.
      Import all assets in the directory. This method is now deprecated because we no longer support passing in a default Locale String. The default Locale will be what the Studio is currently set at.
      Parameters:
        `aInputDir` - Input directory
        `aOutputDir` - Output directory
        `astrLocale` - Locale to set in vocabularies, e.g. en_US. If null, no locale is stored, and default locale will be used when the vocabulary is loaded.
      Returns:
        true if all assets converted successfully
      Throws:
        `java.lang.IllegalArgumentException` - if locale is specified incorrectly

    - #### importDirectory

          boolean importDirectory(org.eclipse.emf.common.util.URI aInputDir,
                                org.eclipse.emf.common.util.URI aOutputDir)

      Import all assets in the directory.
      Parameters:
        `aInputDir` - Input directory
        `aOutputDir` - Output directory
      Returns:
        true if all assets converted successfully
      Throws:
        `java.lang.IllegalArgumentException` - if locale is specified incorrectly

    - #### toString

          java.lang.String toString()

      Return textual information on migration process, including assets that succeeded, and failed.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:

    - #### getInfoMessages

          java.util.List getInfoMessages()

      Return info messages in the order they occurred
      Returns:

    - #### getWarningMessages

          java.util.List getWarningMessages()

      Return warning messages in the order they occurred
      Returns:

    - #### getErrorMessages

          java.util.List getErrorMessages()

      Return error messages in the order they occurred
      Returns:

    - #### getNumberOfCVJsProcessed

          int getNumberOfCVJsProcessed()

      Get number of CVJs that processed during migration
      Returns:

    - #### getNumberOfCCJsProcessed

          int getNumberOfCCJsProcessed()

      Get number of CCJs that processed during migration
      Returns:

    - #### getNumberOfCTJsProcessed

          int getNumberOfCTJsProcessed()

      Get number of CTJs that processed during migration
      Returns:

    - #### getNumberOfCVJsFailed

          int getNumberOfCVJsFailed()

      Get number of CVJs that failed during migration
      Returns:

    - #### getNumberOfCCJsFailed

          int getNumberOfCCJsFailed()

      Get number of CCJs that failed during migration
      Returns:

    - #### getNumberOfCTJsFailed

          int getNumberOfCTJsFailed()

      Get number of CTJs that failed during migration
      Returns:

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.